Bug 119860 - Text positioning in shape objects and text boxes does not work anymore both in Impress and Draw
Summary: Text positioning in shape objects and text boxes does not work anymore both i...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.1.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-09-13 21:58 UTC by Andy
Modified: 2018-09-25 09:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
the area which ignores the changes is circled in red (38.36 KB, image/png)
2018-09-13 22:02 UTC, Andy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andy 2018-09-13 21:58:02 UTC
Description:
In shape objects in Impress and Draw you can insert text. The "text" dialog box allows to specify the position of the text in the shape, as well other settings (e.g. if the text flows automatically inside the shape).
In 6.1.*.* any change of the text position inside the shape is ignored, the latter remaining always in the center. No workaround, apparently. Makes using shapes with text inside impossible.

Steps to Reproduce:
1. open a new impress or Draw document. Draw a simple rectangle on the page. Give color background to the rectangle, so that it is simple to select and move it around.
2. Now with a double click on the rectangle the text cursor appears and you can insert some text; write some sentence, possibly long enough so that to fit into the shape it must wrap on multiple lines.
3. Now choose Format menu, Command "text". The appropriate dialog box appears, switch on the "text flows inside the shape" option (this is a translation from the Italian version, english original may vary slightly). The text is now psread on some lines so to fit inside the shape.
4. Recall the "text" dialog box again; on the right side you have a rectanlge with some handles that helps you move the text around the shape. For example, click on the upper left corner: the should now move from the center to the upper left of the shape. Instead, it remains in the center.
5. This happens cicking ANYWHERE, any corner or any point in the middle of the rectangle edges, no changes at all. 
6. When you reopen the dialog box, you can see your choice was ignored, and in the rectangle there the active point is always the center, no mater what you chose before.
7. Now create a text object by choosing the "insert text box" button (this is rectangular by default), and write the same text in it. In this case, the text is placed at the upper left corner of the rectangle.
8. open the "text" dialog box again, this time relative to the text box. The layout of the dialog is the same as before (a rectangle with the corners and middle edges clickable). The active point here is the upper left corner.
9. As before, any effort to change the active point for text placement is ignored. The only difference is the immutable starting point.

In all, work with presentations that go beyond the most basic instances is severely impaired. 
Alas again (as with bug https://bugs.documentfoundation.org/show_bug.cgi?id=118820) this can be reason enough to downgrade to 6.0, which DID NOT have this problem.
I sincerely cannot figure out how a second digit release can cause so much trouble in the correct application of simple formatting... I am now doing some testing on a 6.1.1.2 parallel install with some trepidation every time I an changing some object's settings....

Actual Results:
Text position in shapes and text boxes in Impress and Draw cannot be changed. the dialog box for this ignores the change the user tries to apply.

Expected Results:
Clicking to any corner or middle edge in the dialog box should allow to move text in the desired position. This happened until 6.0.6


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Andy 2018-09-13 22:02:01 UTC
Created attachment 144852 [details]
the area which ignores the changes is circled in red
Comment 2 Regina Henschel 2018-09-14 10:24:14 UTC
Was OK in Version: 6.0.6.2 (x64)
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (en_US); Calc: CL

Is broken in Version: 6.1.0.3 (x64)
Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (en_US); Calc: CL

I wonder, that it was not detected earlier, but I do not find a duplicate.
Comment 3 Regina Henschel 2018-09-14 10:45:14 UTC
Fails in Version: 6.1.0.0.beta2+ (x64)
Build ID: 67a56897ec1e4f2bab2c3291b8dd225710d2ae29
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:libreoffice-6-1, Time: 2018-06-29_13:19:46
Locale: de-DE (en_US); Calc: CL

OK in Version: 6.1.0.0.beta1 (x64)
Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (en_US); Calc: CL
Comment 4 Xisco Faulí 2018-09-17 12:36:54 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=cd08397eedbe347784a3ac569481a17a8391e7b2

author	Caolán McNamara <caolanm@redhat.com>	2018-06-02 19:37:35 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-06-02 22:16:25 +0200
commit	cd08397eedbe347784a3ac569481a17a8391e7b2 (patch)
tree	da1e98217f92c5b505caaa2dcb8d71a09180705d
parent	846675d6c0ff6838526f97961e95eca945c60eeb (diff)
weld SwSectionFootnoteEndTabPage

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara

Steps to reproduce:
1. Open Draw
2. Insert a drawing
3. Type some text in the drawing
4. Go to Format - Text and change the Text Anchor
Comment 5 Caolán McNamara 2018-09-17 20:26:29 UTC
Big hunk of code got removed there which is not part of what should have been in that commit
Comment 6 Commit Notification 2018-09-18 08:04:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ac82acc8bdb7d4028b946e21f7222dbfafa5f62

Resolves: tdf#119860 missing block of code to set text positioning

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2018-09-18 08:08:15 UTC
that should fix it, backport to 6-1 in gerrit
Comment 8 Commit Notification 2018-09-18 09:13:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ca34dd89e38911f8a1fc7b6ce6afa3b39580fa21&h=libreoffice-6-1

Resolves: tdf#119860 missing block of code to set text positioning

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Andy 2018-09-18 09:54:03 UTC
Thanks this is a great piece of news.
IF you could have a look to another relevant regression:
https://bugs.documentfoundation.org/show_bug.cgi?id=118820
it is a similar inability to change graphic settings. This time on writer tables background...

With the latter fixed as well, 6.1.2 would become almost the Holy Grail!!!!
Comment 10 Xisco Faulí 2018-09-19 10:54:18 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 47a173edb603538521a035157efb6ef684238087
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, Thanks for the quick fix!!
Comment 11 Andy 2018-09-25 09:43:31 UTC
Checked in 6.1.2.1, the text is now located in the requested area of the shape. Thanks a lot!
But please please please have a look also at the regression in https://bugs.documentfoundation.org/show_bug.cgi?id=118820

This is still there, and alas it inhibits people working with Writer tables from upgrading...